Conversation variables
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Responses
200
The list of conversation variables.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/conversations/{conversationId}/variablesAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Responses
200
The deletion result.
application/json
deletedbooleanOptionalExample:
Indicates whether the deletion operation was successful.
trueerrorstringOptional
Optional error message.
403
Insufficient permissions.
delete
/v1/chatbots/{chatbotId}/conversations/{conversationId}/variablesAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
variableIdstringRequired
The Id of the variable.
Responses
200
The requested variable.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/conversations/{conversationId}/variables/{variableId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
variableIdstringRequired
The Id of the variable whose value is to be set.
conversationIdstringRequired
The ID of the conversation.
Body
valuestringRequiredExample:
The new value to be assigned to the variable.
Custom ValueResponses
200
The updated variable.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
put
/v1/chatbots/{chatbotId}/conversations/{conversationId}/variables/{variableId}Last updated